Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
World of Warcraft

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: Java-jaká verze pro freerapid downloader aby nezamrzal?  (Přečteno 4332 krát)

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Java-jaká verze pro freerapid downloader aby nezamrzal?
« kdy: 11 Říjen 2012, 14:16:05 »
Mám LSB Version:    core-2.0-amd64:core-2.0-noarch:core-3.0-amd64:core-3.0-noarch:core-3.1-amd64:core-3.1-noarch:core-3.2-amd64:core-3.2-noarch:core-4.0-amd64:core-4.0-noarch
Distributor ID: Ubuntu
Description:    Ubuntu 12.04.1 LTS
Release:        12.04
Codename:       precise
verze java
update-java-alternatives -l
java-1.6.0-openjdk-amd64 1061 /usr/lib/jvm/java-1.6.0-openjdk-amd64
java-1.7.0-openjdk-amd64 1051 /usr/lib/jvm/java-1.7.0-openjdk-amd64
java-7-oracle 1062 /usr/lib/jvm/java-7-oracle


po instalaci byla naistalovaná verze Open JDK Java 6 Runtime ale stává se mě že freerapid downloader zamrzne podle   http://wiki.ubuntu.cz/programy/internet/freerapiddownloader?redirect=1     to chce java-6 jre zkoušel jsem nainstalovat java-7-oracle podle   http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html    ale instalaci
http://www.webupd8.org/2011/09/how-to-install-oracle-java-7-jdk-in.html už neumím.
Prosím o radu.Děkuji.

pacholik

  • Závislák
  • ****
  • Příspěvků: 2072
  • Karma: +256/-16
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #1 kdy: 11 Říjen 2012, 17:21:02 »
> zkoušel jsem nainstalovat java-7-oracle podle http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html
a?

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #2 kdy: 11 Říjen 2012, 18:23:17 »
Podle toho návodu   http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html   jsem se dostal sem

Kód: [Vybrat]
sudo add-apt-repository ppa:webupd8team/java
[sudo] password for jirka:
You are about to add the following PPA to your system:
 Oracle Java (JDK) Installer (automatically downloads and installs Oracle JDK7 / JDK8). There are no actual Java files in this PPA. More info: http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html
 More info: https://launchpad.net/~webupd8team/+archive/java
Press [ENTER] to continue or ctrl-c to cancel adding it

gpg: soubor klíčů (keyring) `/tmp/tmpPJS8zP/secring.gpg' vytvořen
gpg: soubor klíčů (keyring) `/tmp/tmpPJS8zP/pubring.gpg' vytvořen
gpg: požaduji klíč EEA14886 ze hkp server keyserver.ubuntu.com
gpg: /tmp/tmpPJS8zP/trustdb.gpg: databáze důvěry vytvořena
gpg: klíč EEA14886: veřejný klíč "Launchpad VLC" importován
gpg: Celkový počet zpracovaných klíčů: 1
gpg:               importováno: 1  (RSA: 1)
OK
jirka@jirka-To-be-filled-by-O-E-M:~$ sudo apt-get update
Ign http://cz.archive.ubuntu.com precise InRelease
Ign http://cz.archive.ubuntu.com precise-updates InRelease               
Ign http://cz.archive.ubuntu.com precise-backports InRelease             
Cíl http://cz.archive.ubuntu.com precise Release.gpg                     
Cíl http://cz.archive.ubuntu.com precise-updates Release.gpg             
Cíl http://cz.archive.ubuntu.com precise-backports Release.gpg           
Ign http://dl.google.com stable InRelease                                 
Cíl http://cz.archive.ubuntu.com precise Release                         
Cíl http://cz.archive.ubuntu.com precise-updates Release                 
Ign http://archive.canonical.com precise InRelease                       
Ign http://archive.canonical.com precise InRelease                       
Ign http://security.ubuntu.com precise-security InRelease                 
Cíl http://cz.archive.ubuntu.com precise-backports Release               
Ign http://ppa.launchpad.net precise InRelease                           
Ign http://ppa.launchpad.net precise InRelease                           
Ign http://extras.ubuntu.com precise InRelease                           
Cíl http://cz.archive.ubuntu.com precise/main Sources                     
Cíl http://cz.archive.ubuntu.com precise/restricted Sources               
Cíl http://cz.archive.ubuntu.com precise/universe Sources                 
Cíl http://cz.archive.ubuntu.com precise/multiverse Sources               
Cíl http://cz.archive.ubuntu.com precise/main amd64 Packages             
Cíl http://cz.archive.ubuntu.com precise/restricted amd64 Packages       
Cíl http://dl.google.com stable Release.gpg                               
Cíl http://cz.archive.ubuntu.com precise/universe amd64 Packages         
Cíl http://cz.archive.ubuntu.com precise/multiverse amd64 Packages       
Cíl http://cz.archive.ubuntu.com precise/main i386 Packages               
Cíl http://cz.archive.ubuntu.com precise/restricted i386 Packages         
Cíl http://cz.archive.ubuntu.com precise/universe i386 Packages           
Cíl http://cz.archive.ubuntu.com precise/multiverse i386 Packages         
Cíl http://cz.archive.ubuntu.com precise/main TranslationIndex           
Cíl http://cz.archive.ubuntu.com precise/multiverse TranslationIndex     
Cíl http://cz.archive.ubuntu.com precise/restricted TranslationIndex     
Cíl http://archive.canonical.com precise Release.gpg                     
Mám:1 http://security.ubuntu.com precise-security Release.gpg [198 B]     
Cíl http://cz.archive.ubuntu.com precise/universe TranslationIndex       
Mám:2 http://ppa.launchpad.net precise Release.gpg [316 B]               
Mám:3 http://extras.ubuntu.com precise Release.gpg [72 B]                 
Cíl http://cz.archive.ubuntu.com precise-updates/main Sources             
Cíl http://cz.archive.ubuntu.com precise-updates/restricted Sources       
Cíl http://cz.archive.ubuntu.com precise-updates/universe Sources         
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse Sources       
Cíl http://cz.archive.ubuntu.com precise-updates/main amd64 Packages     
Cíl http://cz.archive.ubuntu.com precise-updates/restricted amd64 Packages
Cíl http://dl.google.com stable Release                                   
Cíl http://cz.archive.ubuntu.com precise-updates/universe amd64 Packages 
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse amd64 Packages
Cíl http://cz.archive.ubuntu.com precise-updates/main i386 Packages       
Cíl http://cz.archive.ubuntu.com precise-updates/restricted i386 Packages
Cíl http://cz.archive.ubuntu.com precise-updates/universe i386 Packages   
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse i386 Packages
Cíl http://cz.archive.ubuntu.com precise-updates/main TranslationIndex   
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse TranslationIndex
Cíl http://archive.canonical.com precise Release.gpg                     
Cíl http://cz.archive.ubuntu.com precise-updates/restricted TranslationIndex
Mám:4 http://security.ubuntu.com precise-security Release [49,6 kB]       
Cíl http://cz.archive.ubuntu.com precise-updates/universe TranslationIndex
Cíl http://cz.archive.ubuntu.com precise-backports/main Sources           
Cíl http://cz.archive.ubuntu.com precise-backports/restricted Sources     
Cíl http://cz.archive.ubuntu.com precise-backports/universe Sources       
Cíl http://cz.archive.ubuntu.com precise-backports/multiverse Sources     
Cíl http://cz.archive.ubuntu.com precise-backports/main amd64 Packages   
Cíl http://cz.archive.ubuntu.com precise-backports/restricted amd64 Packages
Cíl http://cz.archive.ubuntu.com precise-backports/universe amd64 Packages
Cíl http://cz.archive.ubuntu.com precise-backports/multiverse amd64 Packages
Cíl http://ppa.launchpad.net precise Release.gpg                         
Cíl http://cz.archive.ubuntu.com precise-backports/main i386 Packages     
Cíl http://cz.archive.ubuntu.com precise-backports/restricted i386 Packages
Cíl http://cz.archive.ubuntu.com precise-backports/universe i386 Packages
Cíl http://cz.archive.ubuntu.com precise-backports/multiverse i386 Packages
Cíl http://cz.archive.ubuntu.com precise-backports/main TranslationIndex 
Cíl http://extras.ubuntu.com precise Release                             
Cíl http://dl.google.com stable/main amd64 Packages                       
Cíl http://cz.archive.ubuntu.com precise-backports/multiverse TranslationIndex
Cíl http://archive.canonical.com precise Release                         
Cíl http://cz.archive.ubuntu.com precise-backports/restricted TranslationIndex
Cíl http://cz.archive.ubuntu.com precise-backports/universe TranslationIndex
Cíl http://cz.archive.ubuntu.com precise/main Translation-cs             
Cíl http://cz.archive.ubuntu.com precise/main Translation-en             
Cíl http://cz.archive.ubuntu.com precise/multiverse Translation-cs       
Ign http://download.opensuse.org ./ InRelease                             
Cíl http://cz.archive.ubuntu.com precise/multiverse Translation-en       
Cíl http://cz.archive.ubuntu.com precise/restricted Translation-en       
Cíl http://cz.archive.ubuntu.com precise/universe Translation-cs         
Cíl http://cz.archive.ubuntu.com precise/universe Translation-en         
Cíl http://cz.archive.ubuntu.com precise-updates/main Translation-cs     
Cíl http://cz.archive.ubuntu.com precise-updates/main Translation-en     
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse Translation-cs
Cíl http://cz.archive.ubuntu.com precise-updates/multiverse Translation-en
Cíl http://cz.archive.ubuntu.com precise-updates/restricted Translation-en
Cíl http://ppa.launchpad.net precise Release                             
Cíl http://extras.ubuntu.com precise/main Sources                         
Cíl http://dl.google.com stable/main i386 Packages                       
Cíl http://cz.archive.ubuntu.com precise-updates/universe Translation-cs 
Ign http://ppa.launchpad.net precise Release                             
Cíl http://cz.archive.ubuntu.com precise-updates/universe Translation-en 
Cíl http://cz.archive.ubuntu.com precise-backports/main Translation-en   
Cíl http://cz.archive.ubuntu.com precise-backports/multiverse Translation-en
Ign http://dl.google.com stable/main TranslationIndex                     
Cíl http://cz.archive.ubuntu.com precise-backports/restricted Translation-en
Cíl http://cz.archive.ubuntu.com precise-backports/universe Translation-en
Cíl http://archive.canonical.com precise Release                         
Cíl http://ppa.launchpad.net precise Release                             
Cíl http://extras.ubuntu.com precise/main amd64 Packages                 
Cíl http://extras.ubuntu.com precise/main i386 Packages                   
Mám:5 http://security.ubuntu.com precise-security/main Sources [49,8 kB] 
Cíl http://archive.canonical.com precise/partner Sources                 
Cíl http://archive.canonical.com precise/partner amd64 Packages           
Cíl http://archive.canonical.com precise/partner i386 Packages           
Ign http://ppa.launchpad.net precise/main Sources/DiffIndex               
Ign http://ppa.launchpad.net precise/main amd64 Packages/DiffIndex       
Ign http://ppa.launchpad.net precise/main i386 Packages/DiffIndex         
Ign http://ppa.launchpad.net precise/main TranslationIndex               
Ign http://extras.ubuntu.com precise/main TranslationIndex               
Cíl http://download.opensuse.org ./ Release.gpg                           
Cíl http://ppa.launchpad.net precise/main Sources                         
Cíl http://ppa.launchpad.net precise/main amd64 Packages                 
Cíl http://ppa.launchpad.net precise/main i386 Packages                   
Ign http://ppa.launchpad.net precise/main TranslationIndex               
Ign http://archive.canonical.com precise/partner TranslationIndex         
Cíl http://archive.canonical.com precise/partner Sources                 
Cíl http://archive.canonical.com precise/partner amd64 Packages           
Cíl http://archive.canonical.com precise/partner i386 Packages           
Ign http://archive.canonical.com precise/partner TranslationIndex         
Cíl http://download.opensuse.org ./ Release                               
Cíl http://ppa.launchpad.net precise/main Sources                         
Cíl http://ppa.launchpad.net precise/main amd64 Packages                 
Cíl http://ppa.launchpad.net precise/main i386 Packages                   
Mám:6 http://security.ubuntu.com precise-security/restricted Sources [1 950 B]
Mám:7 http://security.ubuntu.com precise-security/universe Sources [14,5 kB]
Mám:8 http://security.ubuntu.com precise-security/multiverse Sources [1 379 B]
Mám:9 http://security.ubuntu.com precise-security/main amd64 Packages [175 kB]
Cíl http://download.opensuse.org ./ Packages                             
Ign http://dl.google.com stable/main Translation-cs_CZ                   
Ign http://dl.google.com stable/main Translation-cs                       
Mám:10 http://security.ubuntu.com precise-security/restricted amd64 Packages [3 969 B]
Mám:11 http://security.ubuntu.com precise-security/universe amd64 Packages [48,8 kB]
Ign http://dl.google.com stable/main Translation-en                       
Ign http://extras.ubuntu.com precise/main Translation-cs_CZ               
Mám:12 http://security.ubuntu.com precise-security/multiverse amd64 Packages [2 188 B]
Mám:13 http://security.ubuntu.com precise-security/main i386 Packages [180 kB]
Ign http://archive.canonical.com precise/partner Translation-cs_CZ       
Ign http://archive.canonical.com precise/partner Translation-cs           
Ign http://archive.canonical.com precise/partner Translation-en           
Ign http://extras.ubuntu.com precise/main Translation-cs                 
Ign http://archive.canonical.com precise/partner Translation-cs_CZ       
Ign http://ppa.launchpad.net precise/main Translation-cs_CZ               
Ign http://extras.ubuntu.com precise/main Translation-en                 
Ign http://download.opensuse.org ./ Translation-cs_CZ                     
Ign http://archive.canonical.com precise/partner Translation-cs           
Ign http://archive.canonical.com precise/partner Translation-en           
Ign http://ppa.launchpad.net precise/main Translation-cs                 
Ign http://ppa.launchpad.net precise/main Translation-en                 
Ign http://ppa.launchpad.net precise/main Translation-cs_CZ               
Ign http://ppa.launchpad.net precise/main Translation-cs                 
Ign http://ppa.launchpad.net precise/main Translation-en                 
Ign http://download.opensuse.org ./ Translation-cs                       
Mám:14 http://security.ubuntu.com precise-security/restricted i386 Packages [3 968 B]
Mám:15 http://security.ubuntu.com precise-security/universe i386 Packages [49,1 kB]
Ign http://download.opensuse.org ./ Translation-en                       
Mám:16 http://security.ubuntu.com precise-security/multiverse i386 Packages [2 357 B]
Cíl http://security.ubuntu.com precise-security/main TranslationIndex
Cíl http://security.ubuntu.com precise-security/multiverse TranslationIndex
Cíl http://security.ubuntu.com precise-security/restricted TranslationIndex
Cíl http://security.ubuntu.com precise-security/universe TranslationIndex
Cíl http://security.ubuntu.com precise-security/main Translation-en
Cíl http://security.ubuntu.com precise-security/multiverse Translation-en
Cíl http://security.ubuntu.com precise-security/restricted Translation-en
Cíl http://security.ubuntu.com precise-security/universe Translation-en
Staženo 583 kB za 1s (393 kB/s)
Čtu seznamy balíků… Hotovo
W: Chyba GPG: http://ppa.launchpad.net precise Release: Následující podpisy nemohly být ověřeny, protože není dostupný veřejný klíč: NO_PUBKEY 2EA8F35793D8809A
jirka@jirka-To-be-filled-by-O-E-M:~$ sudo apt-get install oracle-java7-installer
Čtu seznamy balíků… Hotovo
Vytvářím strom závislostí       
Čtu stavové informace… Hotovo
oracle-java7-installer je již nejnovější verze.
Následující balíky byly nainstalovány automaticky a již nejsou potřeba:
  linux-headers-3.2.0-23-generic linux-headers-3.2.0-23
  icedtea-netx-common libjpeg62
Pro jejich odstranění použijte „apt-get autoremove“.
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.
jirka@jirka-To-be-filled-by-O-E-M:~$ java -version
java version "1.7.0_07"
Java(TM) SE Runtime Environment (build 1.7.0_07-b10)
Java HotSpot(TM) 64-Bit Server VM (build 23.3-b01, mixed mode)
jirka@jirka-To-be-filled-by-O-E-M:~$ sudo update-java-alternatives -s java-7-oracle
update-alternatives: chyba: pro mozilla-javaplugin.so neexistují žádné alternativy.
update-alternatives: chyba: pro xulrunner-1.9-javaplugin.so neexistují žádné alternativy.
update-alternatives: chyba: alternativa /usr/lib/jvm/java-7-oracle/jre/bin/jexec pro jexec není registrována, nenastavuji.
update-alternatives: chyba: pro mozilla-javaplugin.so neexistují žádné alternativy.
update-alternatives: chyba: pro xulrunner-1.9-javaplugin.so neexistují žádné alternativy.
jirka@jirka-To-be-filled-by-O-E-M:~$ sudo echo oracle-java7-installer shared/accepted-oracle-license-v1-1 select true | sudo /usr/bin/debconf-set-selections 
Firefox chce po mě zásuvný modul install_flash_player_11_linux_x86_64.tar.gz+jre-7u7-linux-x64.tar.gz

 
« Poslední změna: 11 Říjen 2012, 18:33:46 od Tadeáš Pařík »

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #3 kdy: 11 Říjen 2012, 20:26:25 »
Zkoušel jsem jre-7u7-linux-x64.tar.gz instalovat podle
http://www.webupd8.org/2011/09/how-to-install-oracle-java-7-jdk-in.html
ale nejde mě to.

pacholik

  • Závislák
  • ****
  • Příspěvků: 2072
  • Karma: +256/-16
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #4 kdy: 11 Říjen 2012, 20:39:38 »
Kód: [Vybrat]
$ java -version
java version "1.7.0_07"
Java(TM) SE Runtime Environment (build 1.7.0_07-b10)
Java HotSpot(TM) 64-Bit Server VM (build 23.3-b01, mixed mode)

To je java od Oraclu. Jestli ti i s oráklí javou pořád FRD mrzne, kontaktuj FRD.

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #5 kdy: 11 Říjen 2012, 22:26:43 »
Freerapid downloader už jede ale ve firefoxu mě chybí nainstalovat chybějící modul jdk-7u7-linux-x64.tar.gz  + install_flash_player_11_linux_x86_64.tar.gz
potřebuji poradit .Děkuji.

Rover623

  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5973
  • Karma: +488/-44
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #6 kdy: 11 Říjen 2012, 22:30:12 »
Odinstaluj balík xul-ext-ubufox

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #7 kdy: 11 Říjen 2012, 22:53:24 »
Tohle je    xul-ext-ubufox2.1.1-Oubuntu 0.12.04.1  v centru softwaru?Potom se pluginy nainstalují jak?

Atego

  • Návštěvník
  • *
  • Příspěvků: 74
  • Karma: +1/-0
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #8 kdy: 12 Říjen 2012, 10:23:40 »
Po stažení aktualizací všechno jede.

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #9 kdy: 09 Červenec 2017, 11:29:49 »
Lubuntu 17.04. S OpenJDK 8 FRD zamrzá.
Instalace oracle Java skončila chybou :(
Nějaké nápady?

sudo add-apt-repository ppa:webupd8team/java
[sudo] heslo pro hdahd:
 Oracle Java (JDK) Installer (automatically downloads and installs Oracle JDK7 / JDK8 / JDK9). There are no actual Java files in this PPA.

Important -> Why Oracle Java 7 And 6 Installers No Longer Work: http://www.webupd8.org/2017/06/why-oracle-java-7-and-6-installers-no.html

More info (and Ubuntu installation instructions):
- for Oracle Java 7: http://www.webupd8.org/2012/01/install-oracle-java-jdk-7-in-ubuntu-via.html
- for Oracle Java 8: http://www.webupd8.org/2012/09/install-oracle-java-8-in-ubuntu-via-ppa.html

Debian installation instructions:
- Oracle Java 7: http://www.webupd8.org/2012/06/how-to-install-oracle-java-7-in-debian.html
- Oracle Java 8: http://www.webupd8.org/2014/03/how-to-install-oracle-java-8-in-debian.html

Oracle Java 9 (for both Ubuntu and Debian): http://www.webupd8.org/2015/02/install-oracle-java-9-in-ubuntu-linux.html

For JDK9, the PPA uses standard builds from: http://jdk.java.net/9/ (and not the Jigsaw builds!).

Important!!! For now, you should continue to use Java 8 because Oracle Java 9 is available as an early access release! You should only use Oracle Java 9 if you explicitly need it, because it may contain bugs and it might not include the latest security patches! Also, some Java options were removed in JDK9, so you may encounter issues with various Java apps. More information and installation instructions (Ubuntu / Linux Mint / Debian): http://www.webupd8.org/2015/02/install-oracle-java-9-in-ubuntu-linux.html
 Více informací: https://launchpad.net/~webupd8team/+archive/ubuntu/java
Stiskněte [ENTER] pro pokračování nebo ctrl-c pro zrušení jeho přidání

gpg: schránka na klíče (keybox) „/tmp/tmpplxs_uyu/pubring.gpg“ vytvořena
gpg: /tmp/tmpplxs_uyu/trustdb.gpg: databáze důvěry vytvořena
gpg: klíč C2518248EEA14886: veřejný klíč „Launchpad VLC“ importován
gpg: žádný absolutně důvěryhodný klíč nebyl nalezen
gpg: Celkový počet zpracovaných klíčů: 1
gpg:               importováno: 1
OK
hdahd@hdahd-desktop:~$ sudo -i
root@hdahd-desktop:~# apt update
Mám:1 http://cz.archive.ubuntu.com/ubuntu zesty InRelease
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu zesty-updates InRelease [89,2 kB]
Mám:3 http://ppa.launchpad.net/libreoffice/ppa/ubuntu zesty InRelease         
Stahuje se:4 http://security.ubuntu.com/ubuntu zesty-security InRelease [89,2 kB]
Mám:5 http://archive.canonical.com/ubuntu zesty InRelease                     
Mám:6 http://ppa.launchpad.net/team-xbmc/ppa/ubuntu zesty InRelease           
Stahuje se:7 http://cz.archive.ubuntu.com/ubuntu zesty-backports InRelease [89,2 kB]
Stahuje se:8 http://ppa.launchpad.net/webupd8team/java/ubuntu zesty InRelease [15,4 kB]
Ign:9 http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_17.04  InRelease
Mám:10 ftp://ftp.gajim.org/debian unstable InRelease                           
Ign:11 http://download.opensuse.org/repositories/home:/antonbatenev:/tox/xUbuntu_17.04  InRelease
Mám:12 http://download.opensuse.org/repositories/home:/stevenpusser/xUbuntu_17.04  Release
Mám:13 http://download.opensuse.org/repositories/home:/antonbatenev:/tox/xUbuntu_17.04  Release
Mám:14 https://deb.opera.com/opera-developer stable InRelease
Mám:15 https://pkg.tox.chat/debian nightly InRelease
Stahuje se:16 http://cz.archive.ubuntu.com/ubuntu zesty-updates/main i386 DEP-11 Metadata [41,9 kB]
Stahuje se:17 http://cz.archive.ubuntu.com/ubuntu zesty-updates/main DEP-11 64x64 Icons [14,0 kB]
Stahuje se:18 http://cz.archive.ubuntu.com/ubuntu zesty-updates/universe i386 DEP-11 Metadata [57,5 kB]
Stahuje se:19 http://cz.archive.ubuntu.com/ubuntu zesty-updates/universe DEP-11 64x64 Icons [58,7 kB]
Stahuje se:20 http://cz.archive.ubuntu.com/ubuntu zesty-updates/multiverse i386 DEP-11 Metadata [2 464 B]
Stahuje se:21 http://security.ubuntu.com/ubuntu zesty-security/main i386 DEP-11 Metadata [5 812 B]
Stahuje se:22 http://security.ubuntu.com/ubuntu zesty-security/universe i386 DEP-11 Metadata [8 916 B]
Stahuje se:23 http://security.ubuntu.com/ubuntu zesty-security/universe DEP-11 64x64 Icons [27,0 kB]
Stahuje se:24 http://ppa.launchpad.net/webupd8team/java/ubuntu zesty/main i386 Packages [2 592 B]
Stahuje se:25 http://ppa.launchpad.net/webupd8team/java/ubuntu zesty/main Translation-en [1 200 B]
Stahuje se:26 http://cz.archive.ubuntu.com/ubuntu zesty-backports/universe i386 DEP-11 Metadata [4 672 B]
Staženo 508 kB za 8s (58,0 kB/s)                                               
apt install oracle-java7-installer
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Všechny balíky jsou aktuální.
root@hdahd-desktop:~# apt install oracle-java7-installer
E: Nelze získat zámek /var/lib/dpkg/lock - open (11: Prostředek je dočasně nepřístupný)
E: Nelze uzamknout administrační adresář (/var/lib/dpkg/). Používá jej jiný proces?
root@hdahd-desktop:~# apt install oracle-java7-installer
E: Nelze získat zámek /var/lib/dpkg/lock - open (11: Prostředek je dočasně nepřístupný)
E: Nelze uzamknout administrační adresář (/var/lib/dpkg/). Používá jej jiný proces?
root@hdahd-desktop:~# apt install oracle-java7-installer
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
Následující dodatečné balíky budou instalovány:
  gsfonts-x11 libxfont1 xfonts-encodings xfonts-utils
Navrhované balíky:
  visualvm ttf-baekmuk | ttf-unfonts | ttf-unfonts-core ttf-kochi-gothic
  | ttf-sazanami-gothic ttf-kochi-mincho | ttf-sazanami-mincho
  ttf-arphic-uming
Následující NOVÉ balíky budou nainstalovány:
  gsfonts-x11 libxfont1 oracle-java7-installer xfonts-encodings xfonts-utils
0 aktualizováno, 5 nově instalováno, 0 k odstranění a 0 neaktualizováno.
Nutno stáhnout 776 kB archivů.
Po této operaci bude na disku použito dalších 1 519 kB.
Chcete pokračovat? [Y/n] y
Stahuje se:1 http://ppa.launchpad.net/webupd8team/java/ubuntu zesty/main i386 oracle-java7-installer all 7u80+7u60arm-0~webupd8~1 [22,4 kB]
Stahuje se:2 http://cz.archive.ubuntu.com/ubuntu zesty/main i386 libxfont1 i386 1:1.5.2-4 [97,9 kB]
Stahuje se:3 http://cz.archive.ubuntu.com/ubuntu zesty/main i386 xfonts-encodings all 1:1.0.4-2 [573 kB]
Stahuje se:4 http://cz.archive.ubuntu.com/ubuntu zesty/main i386 xfonts-utils i386 1:7.7+4 [74,6 kB]
Stahuje se:5 http://cz.archive.ubuntu.com/ubuntu zesty/universe i386 gsfonts-x11 all 0.24 [7 314 B]
Staženo 776 kB za 0s (1 020 kB/s)       
Přednastavují se balíky…
Vybírá se dosud nevybraný balík oracle-java7-installer.
(Načítá se databáze … nyní je nainstalováno 167093 souborů a adresářů.)
Připravuje se nahrazení …/oracle-java7-installer_7u80+7u60arm-0~webupd8~1_all.deb …
Rozbaluje se oracle-java7-installer (7u80+7u60arm-0~webupd8~1) …
Vybírá se dosud nevybraný balík libxfont1:i386.
Připravuje se nahrazení …/libxfont1_1%3a1.5.2-4_i386.deb …
Rozbaluje se libxfont1:i386 (1:1.5.2-4) …
Vybírá se dosud nevybraný balík xfonts-encodings.
Připravuje se nahrazení …/xfonts-encodings_1%3a1.0.4-2_all.deb …
Rozbaluje se xfonts-encodings (1:1.0.4-2) …
Vybírá se dosud nevybraný balík xfonts-utils.
Připravuje se nahrazení …/xfonts-utils_1%3a7.7+4_i386.deb …
Rozbaluje se xfonts-utils (1:7.7+4) …
Vybírá se dosud nevybraný balík gsfonts-x11.
Připravuje se nahrazení …/gsfonts-x11_0.24_all.deb …
Rozbaluje se gsfonts-x11 (0.24) …
Zpracovávají se spouštěče pro balík mime-support (3.60ubuntu1) …
Zpracovávají se spouštěče pro balík desktop-file-utils (0.23-1ubuntu2) …
Nastavuje se balík xfonts-encodings (1:1.0.4-2) …
Nastavuje se balík libxfont1:i386 (1:1.5.2-4) …
Zpracovávají se spouštěče pro balík libc-bin (2.24-9ubuntu2.2) …
Nastavuje se balík oracle-java7-installer (7u80+7u60arm-0~webupd8~1) …
Downloading Oracle Java 7...
--2017-07-09 11:07:27--  http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz
Překládám download.oracle.com (download.oracle.com)… 2.21.74.98, 2.21.74.97
Navazuje se spojení s download.oracle.com (download.oracle.com)|2.21.74.98|:80… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 302 Moved Temporarily
Přesměrováno na: https://edelivery.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz [následuji]
--2017-07-09 11:07:27--  https://edelivery.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz
Překládám edelivery.oracle.com (edelivery.oracle.com)… 104.127.59.41
Navazuje se spojení s edelivery.oracle.com (edelivery.oracle.com)|104.127.59.41|:443… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 302 Moved Temporarily
Přesměrováno na: http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz?AuthParam=1499591367_17e171b3cbe1570fe73f3a08c474c9d6 [následuji]
--2017-07-09 11:07:27--  http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz?AuthParam=1499591367_17e171b3cbe1570fe73f3a08c474c9d6
Navazuje se spojení s download.oracle.com (download.oracle.com)|2.21.74.98|:80… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 404 Not Found
2017-07-09 11:07:29 CHYBA 404: Not Found.

download failed
Oracle JDK 7 is NOT installed.
dpkg: chyba při zpracovávání balíku oracle-java7-installer (--configure):
 podproces instalovaný post-installation skript vrátil chybový status 1
Zpracovávají se spouštěče pro balík man-db (2.7.6.1-2) …
Zpracovávají se spouštěče pro balík shared-mime-info (1.8-1) …
Zpracovávají se spouštěče pro balík fontconfig (2.11.94-0ubuntu2) …
Nastavuje se balík xfonts-utils (1:7.7+4) …
Nastavuje se balík gsfonts-x11 (0.24) …
Při zpracování nastaly chyby:
 oracle-java7-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@hdahd-desktop:~# apt install oracle-java7-installer
Načítají se seznamy balíků… Hotovo
Vytváří se strom závislostí       
Načítají se stavové informace… Hotovo
oracle-java7-installer je již nejnovější verze (7u80+7u60arm-0~webupd8~1).
0 aktualizováno, 0 nově instalováno, 0 k odstranění a 0 neaktualizováno.
1 instalováno nebo odstraněno pouze částečně.
Po této operaci bude na disku použito dalších 0 B.
Chcete pokračovat? [Y/n] y
Nastavuje se balík oracle-java7-installer (7u80+7u60arm-0~webupd8~1) …
Downloading Oracle Java 7...
--2017-07-09 11:09:19--  http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz
Překládám download.oracle.com (download.oracle.com)… 2.21.74.98, 2.21.74.97
Navazuje se spojení s download.oracle.com (download.oracle.com)|2.21.74.98|:80… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 302 Moved Temporarily
Přesměrováno na: https://edelivery.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz [následuji]
--2017-07-09 11:09:19--  https://edelivery.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz
Překládám edelivery.oracle.com (edelivery.oracle.com)… 104.127.59.41
Navazuje se spojení s edelivery.oracle.com (edelivery.oracle.com)|104.127.59.41|:443… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 302 Moved Temporarily
Přesměrováno na: http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz?AuthParam=1499591479_4a1c93d3114a51a6b2fadac2566e2466 [následuji]
--2017-07-09 11:09:19--  http://download.oracle.com/otn-pub/java/jdk/7u80-b15/jdk-7u80-linux-i586.tar.gz?AuthParam=1499591479_4a1c93d3114a51a6b2fadac2566e2466
Navazuje se spojení s download.oracle.com (download.oracle.com)|2.21.74.98|:80… spojeno.
HTTP požadavek odeslán, program čeká na odpověď… 404 Not Found
2017-07-09 11:09:21 CHYBA 404: Not Found.

download failed
Oracle JDK 7 is NOT installed.
dpkg: chyba při zpracovávání balíku oracle-java7-installer (--configure):
 podproces instalovaný post-installation skript vrátil chybový status 1
Při zpracování nastaly chyby:
 oracle-java7-installer

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #10 kdy: 09 Červenec 2017, 12:24:14 »
zkusil jsme návod:  http://www.webupd8.org/2011/09/how-to-install-oracle-java-7-jdk-in.html

A píše mi to: update-alternatives: chyba: alternativní cesta /usr/lib/jvm/java-7-oracle/jre/bin/java_vm neexistuje

$ java -version
java version "1.7.0_80"
Java(TM) SE Runtime Environment (build 1.7.0_80-b15)
Java HotSpot(TM) Server VM (build 24.80-b11, mixed mode)
$ javac -version
javac 1.8.0_131

Program ale zatím běží a píše tuhle chybu do terminálu:
'/home/hdahd/Plocha/frd.sh'
12:06:53 WARNING: Couldn't create fir /home/hdahd/.FRD
12:18:58 WARNING: Couldn't create fir /home/hdahd/.FRD

juwa2

  • Závislák
  • ****
  • Příspěvků: 1144
  • Karma: +84/-25
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #11 kdy: 09 Červenec 2017, 14:49:23 »
1. Vyčisti komplet vč. zbytků veškerou (starou a porušenou) javu kterou tam nyní máš takto
http://thegithubexperiment.blogspot.cz/2016/06/completely-remove-java-from-ubuntu-1404.html

2. Nainstaluj aktuální javu (8u131 aka 1.8.0_131) takto
Kód: [Vybrat]
sudo add-apt-repository ppa:webupd8team/java
$ sudo apt-get update
$ sudo apt-get install oracle-java8-installer

Java se od teď bude aktualizovat automaticky.

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #12 kdy: 16 Červenec 2017, 13:11:51 »
Oki díky. Funguje to. Instaluje to i JDK. Je to potřeba? Nestačilo by JRE?

juwa2

  • Závislák
  • ****
  • Příspěvků: 1144
  • Karma: +84/-25
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #13 kdy: 16 Červenec 2017, 20:06:36 »
Stačilo by jre, jdk zabírá víc místa...
Takže pokud chceš, jre si nyní stáhni zde https://java.com/en/download/manual.jsp
Stažený archiv rozbal do svého domovského adresáře, dostaneš složku jre1.8.0_131
Spusť Terminál a zadej
Kód: [Vybrat]
sudo rm -rf /usr/lib/jvm/java-8-oracle && sleep 2; sudo mv ~/jre1.8.0* /usr/lib/jvm/java-8-oracle && cd /usr/lib/jvm/java-8-oracle && sudo mkdir jre && sudo mv 'bin' 'lib' 'plugin' jre/ && sudo ln -s /usr/lib/jvm/java-8-oracle/jre/bin /usr/lib/jvm/java-8-oracle/bin
Hotovo - ušetřils cca 200 MB.
« Poslední změna: 16 Červenec 2017, 20:42:47 od juwa2 »

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #14 kdy: 22 Červenec 2017, 12:12:17 »
Díky

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #15 kdy: 23 Červenec 2017, 09:13:06 »
Ještě se zeptám. Dá se nastavit aby byl program portable, tedy aby konfigurace byla součástí složky FRD a šlo stahovat na linuxu na externím disku, vzít ho sebou a pokračovat ve stahování na jiném pc s windows?

juwa2

  • Závislák
  • ****
  • Příspěvků: 1144
  • Karma: +84/-25
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #16 kdy: 23 Červenec 2017, 14:59:49 »
Ještě se zeptám. Dá se nastavit aby byl program portable, tedy aby konfigurace byla součástí složky FRD a šlo stahovat na linuxu na externím disku, vzít ho sebou a pokračovat ve stahování na jiném pc s windows?
Pro počítače na kterých není nainstalovaná java.
Řešení pro linux:
Stáhni si jre zde https://java.com/en/download/manual.jsp
Stažený archiv rozbal. Dostaneš složku jre1.8.0_141. Přejmenuj ji na jre a dej ji do složky FRD.
Ve složce FRD si vytvoř spouštěcí skript např. frd_start.sh kterým budeš FRD spouštět.
Jeho obsah bude následující:
Kód: [Vybrat]
#!/bin/bash
./jre/bin/java -jar frd.jar -p
Nezapomeň mu nastavit spustitelnost.
Kód: [Vybrat]
chmod a+x frd_start.sh-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Řešení pro Windows, postup je obdobný:
Stáhni si javu portable pro Windows zde https://portableapps.com/apps/utilities/java_portable
je to samorozbalovací archiv, rozbal ho (spuštěním). Uvnitř najdeš složku Java (v CommonFiles), dej ji do složky FRD.
Ve složce FRD najdeš spouštěč frd.bat 
Otevři ho v text. editoru a uprav jeho obsah aby byl tento:
Kód: [Vybrat]
@echo off
REM Try this batch file if you encounter problems launching FRD with frd.exe
REM (usually some security application is blocking it for unknown reasons).
start Java\bin\javaw.exe -Xmx192m -jar frd.jar -p
a ulož.  Tímto souborem frd.bat budeš FRD spouštět - můžeš si udělat zástupce na Plochu atd....
--------------------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------------------
Z výše uvedeného je zřejmé, že pokud budeš chtít používat externí disk s FRD na počítačích s linuxem i windows,
je třeba mít na něm dvě verze javy (linuxová + win.) a pro každý systém používat zvláštní spouštěč.

Pro počítače na kterých java nainstalovaná je:
Pokud na počítači java nainstalovaná je, na ext. disk ji už pochopitelně dávat nemusíš.
Příkaz pro spuštění pak bude pro všechny platformy
Kód: [Vybrat]
java -jar frd.jar -prespektive
Kód: [Vybrat]
java -jar "\cesta\ke\frd.jar" -pParametr "-p" spustí FRD v portable režimu = konfigurace se bude ukládat do složky FRD (podsložka "config")

Linux:
Ve složce FRD vytvoř spouštěcí skritpt frd_start.sh
Kód: [Vybrat]
#!/bin/bash
java -jar frd.jar -p
Windows:
Ve složce FRD vytvoř spouštěcí skript frd_start.bat
Kód: [Vybrat]
@echo off
start javaw.exe -Xmx192m -jar frd.jar -p

« Poslední změna: 30 Červenec 2017, 17:42:21 od juwa2 »

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #17 kdy: 16 Říjen 2017, 16:26:27 »
Stačilo by jre, jdk zabírá víc místa...
Takže pokud chceš, jre si nyní stáhni zde https://java.com/en/download/manual.jsp
Stažený archiv rozbal do svého domovského adresáře, dostaneš složku jre1.8.0_131
Spusť Terminál a zadej
Kód: [Vybrat]
sudo rm -rf /usr/lib/jvm/java-8-oracle && sleep 2; sudo mv ~/jre1.8.0* /usr/lib/jvm/java-8-oracle && cd /usr/lib/jvm/java-8-oracle && sudo mkdir jre && sudo mv 'bin' 'lib' 'plugin' jre/ && sudo ln -s /usr/lib/jvm/java-8-oracle/jre/bin /usr/lib/jvm/java-8-oracle/bin
Hotovo - ušetřils cca 200 MB.
Supr funguje.
A jak aktualizace flashe?

juwa2

  • Závislák
  • ****
  • Příspěvků: 1144
  • Karma: +84/-25
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #18 kdy: 16 Říjen 2017, 20:51:59 »
Flash, pokud ho máš nainstalovaný, by se měl aktualizovat automaticky. Pokud ho nainstalovaný nemáš, nainstaluj přes Synaptic. A prohlížeč Chrome má flashplayer svůj, vestavěný, který se aktualizuje společně s  ním.

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #19 kdy: 17 Říjen 2017, 11:30:28 »
Teda kecám.. :) myslel jsme té javy "jre1.8.0_131" z archivu.. Kdy se to bude instalovat takto tak se to nebude aktualizovat z repozitářů automaticky..

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #20 kdy: 17 Říjen 2017, 11:34:38 »
Jo a tady píšou že se má vypnout alokace volného místa a je tam cfg pro funkční automatické vypínání po stažení.

juwa2

  • Závislák
  • ****
  • Příspěvků: 1144
  • Karma: +84/-25
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #21 kdy: 17 Říjen 2017, 13:10:58 »
Teda kecám.. :) myslel jsme té javy "jre1.8.0_131" z archivu.. Kdy se to bude instalovat takto tak se to nebude aktualizovat z repozitářů automaticky..
Pokud budeš trvat na JRE, musíš prostě jednou za čas, až vyjde aktualizace javy, novou verzi stáhnout a postupem výše aktualizovat ručně.
Pokud se spokojíš s JDK, bude se aktualizovat automaticky z repzitářů.
Jiná možnost neexistuje. Ale vzhledem k tomu, že se java až tak často neaktualizuje (cca jednou za půl roku) tak to zase toliko práce není....

navsteva

  • Člen
  • **
  • Příspěvků: 220
  • Karma: +10/-2
    • Zobrazit profil
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #22 kdy: 17 Říjen 2017, 23:50:42 »
Free Rapid Downloader normálně funguje s default-jre. Aktuálně mám Openjdk-8-jre, předtím 7 a 6. A používám to léta. Oracle javu nikdy neinstaluji.

HonzaD

  • Člen
  • **
  • Příspěvků: 426
  • Karma: +12/-9
    • Zobrazit profil
    • VoIP a internetová komunikace
Re:Java-jaká verze pro freerapid downloader aby nezamrzal?
« Odpověď #23 kdy: 13 Listopad 2017, 11:41:17 »
Mě to často zamrzalo na různých verzích linuxu. Ale většinou 32bit. Lubuntu, debian v různých verzích. Oracle verze javy to vyřešila místo OpenJDK.. OpenJDK jsem zkoušel různé verze a se všemi to blblo..